org.eclipse.wst.jsdt.chromium.debug.ui.liveedit

## Interface LiveEditResultDialog.SingleInput

All Superinterfaces:
  LiveEditResultDialog.Input

Enclosing class:
  LiveEditResultDialog

    public static interface LiveEditResultDialog.SingleInput
    extends LiveEditResultDialog.Input

A specialized type of dialog input: one that associated with a particular VM.

### Method Summary

All Methods Instance Methods Abstract Methods
`<RES> RES` `acceptSingle(LiveEditResultDialog.SingleInputVisitor<RES> visitor)`
`ScriptTargetMapping` `getFilePair()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.debug.ui.liveedit.LiveEditResultDialog.Input

`accept`

### Method Detail

#### acceptSingle

    <RES> RES acceptSingle(LiveEditResultDialog.SingleInputVisitor<RES> visitor)

#### getFilePair

    ScriptTargetMapping getFilePair()